Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001194Documentation, Examples, and Web SiteWriting with Informpublic2014-02-13 18:142014-05-07 07:38
Reportercuriousdannii 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0001194: if handling activity docs need clarity
DescriptionThe "if handling activity" docs need clarifying: they should explicitly say that it will run the for activity rulebook, and remind the user to check if the activity is "going on" if they want to purely test it.

("if handling" seems really odd to begin with... what is the purpose of this phrase? The only thing I can think of is if you would like to repeatedly run the for rules of an activity until one of the rules decides on something, but I can't think of why you'd want to do that...)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0002491)
zarf (developer)
2014-02-13 21:35

The "if handling" syntax is confusing, but the idea is that you use the begin/if/end structure (described in 17.7) when you need to carry out an activity with a default behavior. That is, "carry out A" is equivalent to

begin the A activity;
if handling the A activity, do nothing;
end the A activity.

If you want to replace "do nothing" with some code, you need to write this stanza out yourself. The "if handling..." line should not occur outside this kind of structure.
(0002493)
zarf (developer)
2014-02-13 21:50

(For example, the "printing the name of a dark room" activity is effectively called this way:

begin the printing the name of a dark room activity;
if handling the printing the name of a dark room activity, say "Darkness";
end the printing the name of a dark room activity.

Except that this is done in I6 code.)
(0002496)
EmacsUser (manager)
2014-02-14 17:42

I am going to confirm on the grounds that the documentation for the activity-beginning and -ending phrases is very explicit about what they do, whereas, as the report notes, WI implies but does not say that this condition runs the for rules.

(I will also third the observation that the syntax is confusing, suggesting that something more explicit like

- - - -
if the for rules make no decision handling (activity):
    ....
- - - -

would help, though I don't know how much compatibility breakage is going into this build.)
(0002633)
graham (administrator)
2014-04-21 14:24

I agree, that was unclear. I've made the documentation much more explicit.

- Issue History
Date Modified Username Field Change
2014-02-13 18:14 curiousdannii New Issue
2014-02-13 21:35 zarf Note Added: 0002491
2014-02-13 21:50 zarf Note Added: 0002493
2014-02-14 17:42 EmacsUser Note Added: 0002496
2014-02-14 17:42 EmacsUser Priority low => normal
2014-02-14 17:42 EmacsUser Status new => confirmed
2014-04-15 20:12 curiousdannii Description Updated View Revisions
2014-04-21 14:24 graham Note Added: 0002633
2014-04-21 14:24 graham Status confirmed => resolved
2014-04-21 14:24 graham Resolution open => fixed
2014-04-21 14:24 graham Assigned To => graham
2014-05-07 07:37 jmcgrew Fixed in Version => 6L02
2014-05-07 07:38 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker